@import url("https://fonts.googleapis.com/css2?family=Outfit:wght@300;400;600&display=swap");

:root {
  --clr-primary-1: hsl(215, 51%, 70%);
  --clr-primary-2: hsl(178, 100%, 50%);

  --clr-netural-3: hsl(217, 54%, 11%);
  --clr-netural-4: hsl(216, 50%, 16%);
  --clr-netural-5: hsl(215, 32%, 27%);
  --clr-netural-6: hsl(0, 0%, 100%);

  --ff-primary: "Outfit", sans-serif;
  --spacing: 0.1rem;
  --radius: 0.5rem;
  --transition: all 0.03s linear;
}

html {
  font-size: 18px;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: var(--ff-primary);
  background: var(--clr-netural-3);
  line-height: 1.5;
  font-size: 0.875rem;
}

img:not(.avatar, .etherium, .clock, .icon_view) {
  width: 100%;
  display: block;
  object-fit: cover;
}

section {
  padding: 3rem 1.25rem;
}

.nft_image {
  border-radius: var(--radius);
}

.image-container {
  margin-bottom: 0.75rem;
}

h2 {
  text-transform: capitalize;
  color: var(--clr-netural-6);
  font-weight: 600;
  letter-spacing: 0.05rem;
  line-height: 2.5;
}

h4 {
  color: var(--clr-primary-1);
  font-weight: 300;
  line-height: 1.7;
}

.price_date {
  display: flex;
  margin-top: 0.8rem;
  justify-content: space-between;
}

.price_container {
  display: flex;
  gap: 0.4rem;
  align-items: center;
}

.price_container p {
  color: var(--clr-primary-2);
  font-family: var(--ff-primary);
}

.days_container {
  display: flex;
  gap: 0.4rem;
  align-items: center;
}

.days_container p {
  color: var(--clr-primary-1);
}

.nft_title {
  border-bottom: 1px solid var(--clr-netural-5);
  padding-bottom: 1rem;
  margin-bottom: 1rem;
}

.avatar {
  height: 2rem;
  width: 2rem;
  object-fit: cover;
  border: 1px solid var(--clr-netural-6);
  border-radius: 50%;
}
.creator {
  display: flex;
  gap: 0.7rem;
  align-items: center;
}

.creator p {
  color: var(--clr-primary-1);
  font-weight: 300;
}

.creator p > span {
  color: var(--clr-netural-6);
  font-weight: 500;
}
.card {
  background: var(--clr-netural-4);
  padding: 1.25rem 1.25rem;
  border-radius: 1rem;
}

.image-container {
  position: relative;
}

.icon_view {
  height: 3rem;
  width: 3rem;
  display: block;
  object-fit: cover;
}

.icon_view_container {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: var(--clr-primary-2);
  opacity: 0.5;
  display: grid;
  justify-content: center;
  align-items: center;
  visibility: hidden;
  border-radius: var(--radius);
  transition: var(--transition);
}

.image-container:hover .icon_view_container {
  visibility: visible;
}

@media screen and (min-width: 1170px) {
  section {
    display: grid;
    align-items: center;
    justify-content: center;
  }
  .card {
    margin-top: 2rem;
    max-width: 300px;
  }
}
